import 'package:get/get.dart';
import 'package:gifunavi/pages/destination/destination_controller.dart';
import 'package:gifunavi/pages/index/index_controller.dart';
import 'package:gifunavi/utils/location_controller.dart';

import '../../services/api_service.dart';

class IndexBinding extends Bindings {
  @override
  void dependencies() {
    //Get.lazyPut<IndexController>(() => IndexController());
    ////Get.put<IndexController>(IndexController());
    //Get.put<LocationController>(LocationController());
    //Get.put<DestinationController>(DestinationController());

    Get.put(IndexController(apiService: Get.find<ApiService>()), permanent: true);
    Get.put(LocationController(), permanent: true);
    Get.put(DestinationController(), permanent: true);
  }
}
